
Redmine - Defect #8972

Is this a bug?

2011-08-02 17:32 - Ivan Cenov

Status: Closed Start date: 2011-08-02

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Redmine, trunk, r6398

Executing

ruby script\about RAILS_ENV=production

produces this result:

d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adap

ters/mysql_adapter.rb:620:in `real_connect': Unknown data

'redmine_development' (Mysql::Error)

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/co

nnection_adapters/mysql_adapter.rb:620:in `connect'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/co

nnection_adapters/mysql_adapter.rb:203:in `initialize'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/co

nnection_adapters/mysql_adapter.rb:75:in `new'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/co

nnection_adapters/mysql_adapter.rb:75:in `mysql_connectio

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/co

nnection_adapters/abstract/connection_pool.rb:223:in `sen

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/co

nnection_adapters/abstract/connection_pool.rb:223:in `new

ection'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/co

nnection_adapters/abstract/connection_pool.rb:245:in `che

_new_connection'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/co

nnection_adapters/abstract/connection_pool.rb:188:in `che

'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/co

nnection_adapters/abstract/connection_pool.rb:184:in `loo

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/co

nnection_adapters/abstract/connection_pool.rb:184:in `che

'

        from d:/Program Files/Ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/co

nnection_adapters/abstract/connection_pool.rb:183:in `che

'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/co

nnection_adapters/abstract/connection_pool.rb:98:in `conn

n'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/co

nnection_adapters/abstract/connection_pool.rb:326:in `ret

_connection'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/co

nnection_adapters/abstract/connection_specification.rb:12

`retrieve_connection'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/co

nnection_adapters/abstract/connection_specification.rb:11

`connection'

        from D:/biz/apps/redmine_trunk/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb

:217:in `quoted_left_column_name'
        from D:/biz/apps/redmine_trunk/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb

:93:in `acts_as_nested_set'

        from D:/biz/apps/redmine_trunk/app/models/issue.rb:37

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/

dependencies.rb:406:in `load_without_new_constant_marking

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/

dependencies.rb:406:in `load_file'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/

dependencies.rb:547:in `new_constants_in'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/

dependencies.rb:405:in `load_file'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/

dependencies.rb:285:in `require_or_load'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/

dependencies.rb:250:in `depend_on'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/

dependencies.rb:162:in `require_dependency'

        from D:/biz/apps/redmine_trunk/vendor/plugins/redmine_code_review/lib/code_review_issue_pa

tch.rb:18

        from d:/Program Files/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_or

iginal_require'

        from d:/Program Files/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `requir

e'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/

dependencies.rb:182:in `require'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/

dependencies.rb:547:in `new_constants_in'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/

dependencies.rb:182:in `require'

        from D:/biz/apps/redmine_trunk/vendor/plugins/redmine_code_review/init.rb:26:in `evaluate_

init_rb'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/rails/plugin.rb:158:in 

`evaluate_init_rb'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/

core_ext/kernel/reporting.rb:11:in `silence_warnings'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/rails/plugin.rb:154:in 

`evaluate_init_rb'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/rails/plugin.rb:48:in `

load'

        from D:/biz/apps/redmine_trunk/config/../vendor/plugins/engines/lib/engines/plugin.rb:44:i

n `load'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/rails/plugin/loader.rb:

38:in `load_plugins'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/rails/plugin/loader.rb:

37:in `each'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/rails/plugin/loader.rb:

37:in `load_plugins'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:369:in `

load_plugins'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:165:in `

process'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:113:in `

send'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:113:in `

run'

        from D:/biz/apps/redmine_trunk/config/environment.rb:20

        from d:/Program Files/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_or

iginal_require'

        from d:/Program Files/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `requir

e'

        from d:/Program Files/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/commands/about.rb:1

        from d:/Program Files/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_or

iginal_require'

        from d:/Program Files/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `requir

e'

        from script/about:4
 Is this a bug or I do something illegal?

History

#1 - 2011-08-02 18:57 - Thomas Löber

Please double-check your config/database.yml configuration.

The redmine_development database seems to be missing.

#2 - 2011-08-02 19:05 - Ivan Cenov

Yes, there is no redmine_development database in my configuration but wonder why this script is searching for it. I also tried

ruby script\about RAILS_ENV=production

and

ruby script\about -e production

but it continues searching for redmine_development

#3 - 2011-08-04 23:25 - Jean-Baptiste Barth

- Priority changed from Normal to Low

Please copy/paste your config/database.yml file, I'm sure there's something strange in it.

#4 - 2011-08-05 07:43 - Ivan Cenov

Here it is:

# MySQL (default setup).

production:

  adapter: mysql

  database: redmine_trunk

  host: localhost

  username: redmine

  password: redminepwd

  encoding: utf8

development:

  adapter: mysql

  database: redmine_development

  host: localhost

  username: root

  password:

  encoding: utf8

# Warning: The database defined as "test" will be erased and

# re-generated from your development database when you run "rake".

# Do not set this db to the same as development or production.

test:

  adapter: mysql

  database: redmine_test

  host: localhost

  username: root

  password:

  encoding: utf8

test_pgsql:

  adapter: postgresql

  database: redmine_test

  host: localhost

  username: postgres

  password: "postgres" 

test_sqlite3:

  adapter: sqlite3

  database: db/test.sqlite3

#5 - 2011-08-07 23:19 - Thomas Löber

On Windows, could you please try:

set RAILS_ENV=production

ruby script/about
 Please also have a look at issue #4090.

#6 - 2011-08-08 09:50 - Ivan Cenov

Thanks, it works now.

However, I wonder why 'ruby script\server -e production' works without setting RAILS_ENV environment variable.

#7 - 2011-08-15 13:55 - Etienne Massip

- Category deleted (Database)

- Status changed from New to Closed

- Resolution set to Invalid
